/*ブレークポイント*/
@media (min-width:768px) {

}

/* ヘッダー関連 */
@media (min-width: 576px) and (max-width: 767px) {
	.header .container {
		max-width: none;
	}
}
.header-start{
	margin-right: 0.25rem;
	line-height: 1.25;
	display: grid;
	grid-template-columns: auto auto;
	grid-template-rows: auto auto;
	gap: 4px 24px;
	grid-auto-flow: row;
	grid-template-areas:
		"logo service-name"
		"company-name company-name";
}
@media (min-width:768px) {
	.header-start{
		margin-right: 1rem;
	}
}
.header-logo { 
	grid-area: logo;
	align-self: center;
	line-height: 1;
}
.header-logo img{
	vertical-align: middle;
 }
.header-service-name {
	grid-area: service-name; 
	align-self: center;
	margin: 0;
	color: gray;
	font-weight: 600;
	display: inline-block;
	font-size: 1.25rem;
	line-height: inherit;
	white-space: nowrap;
}
.header-company-name {
	grid-area: company-name;
	max-width: 214px;
	padding: 6px;
	overflow: hidden;
	border-radius: 4px;
	background-color: rgba(0,0,0,.075);
	font-size: 0.75rem;
	text-align: center;
	white-space: nowrap;
	text-overflow: ellipsis;
}
@media (max-width:359px) {
	.header-start{
		gap: 4px 14px;
	}
	.header-service-name {
		font-size: 1rem;
	}
	.header-company-name {
		max-width: 180px;
	}
}
.main-nav{
	list-style: none;
	position: fixed;
	bottom: 0;
	left: 0;
	z-index: 2;
	width: 100%;
	height: 50px;
	margin-bottom: 0;
	padding: 0;
	box-shadow: 0 -.5rem 1rem rgba(0,0,0,.15);
	background: #fff;
	line-height: 1.25;
	display: flex;
	justify-content: center;
	align-items: center;
}
.main-nav li{
	position: relative;
	flex: 1;
	height: 100%;
	margin: 0;
	padding: 0;
	text-align: center;
	display: flex;
	flex-direction: column;
	justify-content: center;
}
.main-nav li::before{
	content: "";
	display: block;
	position: absolute;
	top: 50%;
	left: -0.5px;
	transform: translateY(-50%);
	width: 1px;
	height: 1.25em;
	
	background: #ced4da;
}
.main-nav li:nth-child(1)::before{
	display: none;
}
.main-nav li a{
	display: block;
	width: 100%;
	padding: 0.25rem;
	color: #212529;
	font-size: 10px;
	text-align: center;
	transition: opacity .15s ease-in-out;
}
.main-nav li a:hover{
	opacity: 0.6;
	text-decoration: none;
}
.main-nav li a::before{
	content: "";
	display: block;
	width: 24px;
	aspect-ratio: 1/1;
	margin-right: auto;
	margin-left: auto;
	margin-bottom: 4px;
	background: no-repeat center / contain;
}
.main-nav li a[data-icon="stamp"]::before{
	/* background-image: url("../img/icon/schedule.svg"); */
	background-image: url("../img/icon/time-recorder.svg");
}
.main-nav li a[data-icon="timecard"]::before{
	/* background-image: url("../img/icon/calendar.svg"); */
	background-image: url("../img/icon/timecard.svg");
}
.main-nav li a[data-icon="admin"]::before{
	background-image: url("../img/icon/admin.svg");
}
@media (min-width:768px) {
	.main-nav{
		position: static;
		width: auto;
		margin-right: auto;
		padding: 0;
		box-shadow: none;
		background: none;
		justify-content: flex-start;
	}
	.main-nav li{
		flex: none;
	}
	.main-nav li a{
		padding: 0.5em 1em;
		font-size: 14px;
		display: flex;
		align-items: center;
		gap: 0.375em;
	}
	.main-nav li:nth-child(1) a{
		padding-left: 0;
	}
	.main-nav li a::before{
		margin-bottom: 0;
	}
}
.logout-btn{
	font-size: 12px;
	color: #212529;
	text-align: center;
	vertical-align: middle;
	background-color: transparent;
	border: 1px solid #212529;
	padding: .375rem .25rem;
	line-height: 1.5;
	border-radius: .25rem;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	gap: 0.25em;
	transition: opacity .15s ease-in-out;
}
.logout-btn::before{
	content: "";
	display: block;
	width: 18px;
	aspect-ratio: 1/1;
	background: url("../img/icon/logout.svg") no-repeat center / contain;
}
.logout-btn:hover{
	opacity: 0.6;
	color: #212529;
	text-decoration: none;
}
@media (min-width:768px) {
	.logout-btn{
		padding: .375rem;
		font-size: 14px;
		gap: 0.255em;
	}
	.logout-btn::before{
		width: 24px;
	}
}
/*メインコンテンツ内*/
main{
	padding-bottom: calc(45px + 1.5rem);
}
@media (min-width:768px) {
	main{
		padding-bottom: 1.5rem;
	}
}

#dataTable{
	white-space: nowrap;
}

.card-header-layout{
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	align-items: center;
	gap: 0.75rem 1rem;
}
.card-header-layout__start{
	width: auto;
	max-width: 100%;
	flex: none;
}
.card-header-layout__end{
	width: auto;
	max-width: 100%;
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	gap: 0.75rem 1rem;
	flex: none;
}
@media (min-width:768px) {
	.card-header-layout__end{
		margin-top: 0;
		justify-content: flex-end;
	}
}
.pagination-scroll-block{
	max-width: 100%;
	overflow: auto;
}
.card-header-layout__end .pagination{
	margin-bottom: 0;
}

.pagination-all-number{
	list-style: none;
	margin: 0;
	padding: 0;
	white-space: nowrap;
	display: flex;
	align-items: center;
}
@media (min-width:768px) {
	.pagination-all-number{
		margin-left: 1.5rem;
	}
}
.pagination-all-number__number{
	margin-left: 1rem;
}
.fixed-table-border-container{
	border: 0.5px solid #dee2e6;
}
.fixed-table-border-container:not(:nth-last-child(1)){
	margin-bottom: 1rem;
}
.fixed-table-border-container table{
	margin-bottom: 0;
}
.fixed-table{
	border-collapse: collapse;
}
.fixed-table th,
.fixed-table td{
	position: relative;
	padding: .75rem;
	border: none;
	background: #fff;
}
.fixed-table thead th{
	border-bottom: none;
	padding-bottom: calc(.75rem + 1.5px);
}
.fixed-table th::before,
.fixed-table td::before{
	content: "";
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border: 0.5px solid #dee2e6;
	pointer-events: none;
}
.fixed-table thead th::before{
	border-bottom-width: 1.5px;
}
.fixed-table thead th:nth-child(1),
.fixed-table tbody td:nth-child(1){
	position: sticky;
  	left: 0;
	z-index: 1;
	min-width: 105px;
	max-width: 30vw;
	white-space: normal;
}
.fixed-table thead th:nth-child(1)::before,
.fixed-table tbody td:nth-child(1)::before{
	border-right-width: 1px;
}
.btn-cell{
	width: 200px;
	min-width: 200px;
	max-width: 200px;
}
.btn-cell--l{
	width: 300px;
	min-width: 300px;
	max-width: 300px;
}
.btn-columns{
	display: flex;
	flex-wrap: wrap;
	gap:0.75rem;
}

.search-btn-layout{
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	align-items: center;
	gap: 0.75rem 1rem;
}
.search-btn-layout__start{
	width: 100%;
	max-width: 100%;
	flex: none;
}
@media (min-width:768px) {
	.search-btn-layout__start{
		width: auto;
	}
}
.search-btn-layout__end{
	width: 100%;
	max-width: 100%;
	text-align: center;
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	gap: 0.75rem 1rem;
	flex: none;
}
@media (min-width:768px) {
	.search-btn-layout__end{
		width: auto;
		justify-content: flex-end;
	}
}

.search-detail{
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 0.75rem 1rem;
}
.search-detail [type="date"]{
	width: calc(100% - 2.5rem);
}
.search-detail__date-range{
	width: 100%;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 0.75rem 0.25rem;
}
.search-detail__first-date{
	width: 100%;
}
.search-detail__last-date{
	width: 100%;
}
.search-detail__first-date::before{
	content: "開始";
}
.search-detail__last-date::before{
	content: "終了";
}
.search-detail__first-date::before,
.search-detail__last-date::before{
	display: inline-block;
	width: 2.5rem;
}
.search-detail__tilde{
	display: none;
}
.search-detail__member{
	width: 100%;
}
.search-detail__member select{
	width: 100%;
	height: 40px;
}
.search-detail__btn{
	width: 100%;
	text-align: center;
}
@media (min-width:768px) {
	.search-detail [type="date"]{
		width: auto;
		height: 40px;
	}
	.search-detail__date-range{
		width: auto;
	}
	.search-detail__first-date{
		width: auto;
	}
	.search-detail__first-date::before{
		display: none;
	}
	.search-detail__last-date{
		width: auto;
	}
	.search-detail__last-date::before{
		display: none;
	}
	.search-detail__tilde{
		display: block;
	}
	.search-detail__member{
		width: auto;
	}
	.search-detail__member select{
		width: 100%;
	}
	.search-detail__btn{
		width: auto;
	}
}

.timecard-items{
	display: flex;
	flex-wrap: wrap;
	gap: 1.5rem 1.5rem;
}
.timecard-items__item{
	position: relative;
	width: calc(100% / 2 - 1.5rem / 2 - 0.1px);
	padding-top: 1.5rem;
}
.timecard-items__item::before{
	content: "";
	display: block;
	position: absolute;
	top: 0;
	right: 50%;
	transform: translateX(50%);
	width: calc(100% + 1.5rem);
	height: 1px;
	background: #ccc;
}
.timecard-items__item:nth-child(1),
.timecard-items__item:nth-child(2)
{
	padding-top: 0;
}
.timecard-items__item:nth-child(1)::before,
.timecard-items__item:nth-child(2)::before
{
	display: none;
}
.timecard-items__heading{
	font-weight: bold;
}
.timecard-items__detail{
	margin-top: 0.5rem;
}
@media (min-width:576px) {
	.timecard-items__item{
		width: calc(100% / 3 - 1.5rem / 3 * 2 - 0.1px);
	}
	.timecard-items__item:nth-child(3){
		padding-top: 0;
	}
	.timecard-items__item:nth-child(3)::before{
		display: none;
	}
}
@media (min-width:768px) {
	.timecard-items__item{
		width: calc(100% / 4 - 1.5rem / 4 * 3 - 0.1px);
	}
	.timecard-items__item:nth-child(4){
		padding-top: 0;
	}
	.timecard-items__item:nth-child(4)::before{
		display: none;
	}
}
@media (min-width:992px) {
	.timecard-items__item{
		width: calc(100% / 7 - 1.5rem / 7 * 6 - 0.1px);
	}
	.timecard-items__item:nth-child(5),
	.timecard-items__item:nth-child(6),
	.timecard-items__item:nth-child(7){
		padding-top: 0;
	}
	.timecard-items__item:nth-child(5)::before,
	.timecard-items__item:nth-child(6)::before,
	.timecard-items__item:nth-child(7)::before{
		display: none;
	}
}
.form-parts-style [type="date"]{
	padding:0.5rem 0.75rem;
	border:1px solid #ced4da;
	border-radius: .25rem;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.25;
	background-color: #fff;
}

.form-parts-style select{
	padding:0.5rem 2rem 0.5rem 0.75rem;
	border:1px solid #ced4da;
	border-radius: .25rem;
	background: #fff url("../img/icon/select.svg") no-repeat right 0.5em center / auto 0.45em;
	outline: none;
	font-size:1rem;
	font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
	line-height: inherit;
	-webkit-appearance:none;
	-moz-appearance:none;
	vertical-align: middle;
	outline: none;
}

/*ユーティリティ*/
/*md*/
@media (min-width:768px) {
	.w-md-100{
		width: 100%;
	}
	.w-md-90{
		width: 90%;
	}
	.w-md-75{
		width: 75%;
	}
	.w-md-80{
		width: 80%;
	}
	.w-md-60{
		width: 60%;
	}
}
/*lg*/
@media (min-width:992px) {
	.w-lg-60{
		width: 60%;
	}
}
/*xl*/
@media (min-width:1200px) {}
/*xxl*/
@media (min-width:1400px) {}
